"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const ActionSheet_1 = __importDefault(require("../ActionSheet"));
const Camera_1 = __importDefault(require("../Camera"));
const UploadImages = (params = {}) => {
    const onSubmit = (res) => __awaiter(void 0, void 0, void 0, function* () {
        var _a;
        (_a = params === null || params === void 0 ? void 0 : params.onChange) === null || _a === void 0 ? void 0 : _a.call(params);
    });
    (0, ActionSheet_1.default)({
        title: params.title || '图片上传',
        actions: [
            {
                title: '拍照',
                onClick: () => {
                    (0, Camera_1.default)({
                        onSubmit: (res) => {
                            onSubmit === null || onSubmit === void 0 ? void 0 : onSubmit(res);
                        }
                    });
                }
            },
            {
                title: '从手机相册选择',
                onClick: () => __awaiter(void 0, void 0, void 0, function* () {
                    const res = yield launchImageLibrary({
                        mediaType: 'photo',
                        quality: 0.5,
                        includeBase64: true,
                        selectionLimit: params.maxLen || 0,
                    });
                    onSubmit === null || onSubmit === void 0 ? void 0 : onSubmit(res);
                })
            }
        ]
    });
};
exports.default = UploadImages;
